#ifndef RGB_H
#define RGB_H

#include <stdint.h>

class rgb
{
    public:
        rgb(uint8_t, uint8_t, uint8_t);
        void SetTarget(uint8_t , uint8_t , uint8_t);
		void SetRandomColors(void);
		void SetTimeIntervalToNextColor(unsigned long);
        bool UpdateColors(void);
        void SwitchOnNow(void);
        void SwitchOffNow(void);
        void SwitchColorNow(uint8_t, uint8_t, uint8_t);

    protected:
    private:
        uint8_t pinRed;
        uint8_t pinGreen;
        uint8_t pinBlue;
        uint8_t red;
        uint8_t redTarget;
        uint8_t green;
        uint8_t greenTarget;
        uint8_t blue;
        uint8_t blueTarget;
		int i; // Счетчик смены цветов в случае вызова рандомной установки;
		unsigned long timeToChangeColor;
		unsigned long timeIntervalToNextColor;


};

#endif // RGB_H
